Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class ExtensionValidator

    java.lang.Object
      org.apache.catalina.util.ExtensionValidator

public final class ExtensionValidator
extends java.lang.Object

Ensures that all extension dependies are resolved for a WEB application are met. This class builds a master list of extensions available to an applicaiton and then validates those extensions. See http://java.sun.com/j2se/1.4/docs/guide/extensions/spec.html for a detailed explanation of the extension mechanism in Java.

Version:
  $Revision: 1.8 $ $Date: 2003/09/02 21:22:06 $
Author:
  Greg Murray, Justyna Horwat

Method Summary
`static ExtensionValidator` | `getInstance()` Return an instance of the ExtensionValidator.
`static boolean` | `validateApplication(javax.naming.directory.DirContext dirContext, StandardContext context)` Runtime validation of a Web Applicaiton.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### validateApplication

    public static boolean validateApplication(javax.naming.directory.DirContext dirContext,
                                              StandardContext context)
                                       throws java.io.IOException

  Runtime validation of a Web Applicaiton. This method uses JNDI to look up the resources located under a `DirContext`. It locates Web Application MANIFEST.MF file in the /META-INF/ directory of the application and all MANIFEST.MF files in each JAR file located in the WEB-INF/lib directory and creates an `ArrayList` of `ManifestResorce`objects. These objects are then passed to the validateManifestResources method for validation.

  ``
  Parameters:
    `dirContext` - The JNDI root of the Web Application
    `context` - The context from which the Logger and path to the application
  Returns:
    true if all required extensions satisfied
  Throws:
    `java.io.IOException`

### getInstance

    public static ExtensionValidator getInstance()
                                          throws java.io.IOException

  Return an instance of the ExtensionValidator. The ExtensionValidator is a singleton.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.